Skip to main content
`Ctrl`+`K`

# PetscPreLoadEnd

End a segment of code that may be preloaded (run twice) to get accurate timings

## Synopsis

    #include <petsclog.h>
    void PetscPreLoadEnd(void);

Not Collective

## Example Usage

      PetscPreLoadBegin(PETSC_TRUE, "first stage");
      // lines of code
      PetscPreLoadStage("second stage");
      // lines of code
      PetscPreLoadEnd();

## Note

Only works in C/C++ not Fortran

## See Also

Profiling, `PetscLogEventRegister()`, `PetscLogEventBegin()`, `PetscLogEventEnd()`, `PetscPreLoadBegin()`, `PetscPreLoadStage()`

## Level

intermediate

## Location

src/sys/logging/plog.c

Index of all Log routines
Table of Contents for all manual pages
Index of all manual pages